package es.uv.garcosda.repository;

import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import es.uv.garcosda.repository.domain.Document;
import es.uv.garcosda.repository.repos.NewsRepository;

@RestController
@RequestMapping("/api/v1/news")
@CrossOrigin
public class News {

	@Autowired
	NewsRepository nr;
	
	@GetMapping("{id}")
    public ResponseEntity<?> getOne(@PathVariable("id") Integer id) {
		Optional<Document> op = nr.findById(id);
		if(op.isEmpty()) {
			return new ResponseEntity<String>("ID not found", HttpStatus.NOT_FOUND);
		}
		return new ResponseEntity<Document>(op.get(), HttpStatus.OK);
    }
	
}
